"""
Main entry point for the Gamayun forensic investigation application.
"""

import sys
from PySide6.QtWidgets import QApplication
from gamayun.ui.main_window import MainWindow


def main():
    # TODO: Initialize logging here
    # TODO: Initialize llm client and qdrant client
    # TODO: start main window
    exit()


if __name__ == "__main__":
    main()
